NX Open C++ Reference Guide
Classes | Public Member Functions | List of all members
NXOpen::Motion::SplineBeamPropertyCollection Class Reference

Represents a collection of SplineBeamProperty
To obtain an instance of this class, refer to NXOpen::Motion::MotionManager

Created in NX12.0.0. More...

Inheritance diagram for NXOpen::Motion::SplineBeamPropertyCollection:
NXOpen::TaggedObjectCollection

Classes

class  iterator
 Iterator for accessing the contents of the collection. More...
 

Public Member Functions

iterator begin ()
 Returns an iterator addressing the first element. More...
 
NXOpen::Motion::SplineBeamPropertyBuilderCreateSplineBeamPropertyBuilder (NXOpen::Motion::SplineBeamProperty *splineBeamProperty)
 Creates a Motion::SplineBeamPropertyBuilder. More...
 
iterator end ()
 Returns an iterator addressing one past the last element. More...
 
NXOpen::Motion::SplineBeamPropertyFindObject (const NXString &name)
 Finds the NXOpen::Motion::SplineBeamProperty with the given name. More...
 
NXOpen::Motion::SplineBeamPropertyFindObject (const char *name)
 Finds the NXOpen::Motion::SplineBeamProperty with the given name. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of SplineBeamProperty
To obtain an instance of this class, refer to NXOpen::Motion::MotionManager

Created in NX12.0.0.


Member Function Documentation

iterator NXOpen::Motion::SplineBeamPropertyCollection::begin ( )

Returns an iterator addressing the first element.

NXOpen::Motion::SplineBeamPropertyBuilder* NXOpen::Motion::SplineBeamPropertyCollection::CreateSplineBeamPropertyBuilder ( NXOpen::Motion::SplineBeamProperty splineBeamProperty)

Creates a Motion::SplineBeamPropertyBuilder.

Returns
SplineBeamPropertyBuilder object
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")
Parameters
splineBeamPropertyNXOpen::Motion::SplineBeamProperty to be edited, if NULL then create a new one
iterator NXOpen::Motion::SplineBeamPropertyCollection::end ( )

Returns an iterator addressing one past the last element.

NXOpen::Motion::SplineBeamProperty* NXOpen::Motion::SplineBeamPropertyCollection::FindObject ( const NXString name)

Finds the NXOpen::Motion::SplineBeamProperty with the given name.

An exception will be thrown if no object can be found with given name.

Returns
NXOpen::Motion::SplineBeamProperty with this name
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")
Parameters
nameThe name of the NXOpen::Motion::SplineBeamProperty
NXOpen::Motion::SplineBeamProperty* NXOpen::Motion::SplineBeamPropertyCollection::FindObject ( const char *  name)

Finds the NXOpen::Motion::SplineBeamProperty with the given name.

An exception will be thrown if no object can be found with given name.

Returns
NXOpen::Motion::SplineBeamProperty with this name
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")
Parameters
nameThe name of the NXOpen::Motion::SplineBeamProperty
tag_t NXOpen::Motion::SplineBeamPropertyCollection::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.